package com.bc_chat.contacts.contract

/**
 * author：Created by zhaohaoting on 2019/3/7
 * email：526309416@qq.com
 * desc：手机号添加好友
 */
interface PhoneAddFriendContract {

    interface Presenter {
        /**
         * 手机号搜索用户
         */
        fun searchPhone(phone: String)

    }

    interface View : AddFriendContract.View {
        /**
         * 搜索成功
         */
        fun searchSuccess(userId:String)

        /**
         * 搜索无用户
         */
        fun searchNotMember()

        fun searchFailure(exception: Exception)
    }
}